# Uses of Enum Class
org.apache.sysds.runtime.iogen.codegen.CodeGenTrieNode.NodeType

Packages that use CodeGenTrieNode.NodeType
Package
Description
org.apache.sysds.runtime.iogen.codegen

## Uses of CodeGenTrieNode.NodeType in org.apache.sysds.runtime.iogen.codegen

Methods in org.apache.sysds.runtime.iogen.codegen that return CodeGenTrieNode.NodeType
Modifier and Type
Method
Description
`CodeGenTrieNode.NodeType`
CodeGenTrieNode.`getType()`
`static CodeGenTrieNode.NodeType`
CodeGenTrieNode.NodeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CodeGenTrieNode.NodeType[]`
CodeGenTrieNode.NodeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.iogen.codegen with parameters of type CodeGenTrieNode.NodeType
Modifier
Constructor
Description
``
`CodeGenTrieNode(boolean endOfCondition, String colIndex, Types.ValueType valueType, String key, HashSet<String> naStrings, CodeGenTrieNode.NodeType type)`
``
`CodeGenTrieNode(String colIndex, String key, CodeGenTrieNode.NodeType type)`
``
`CodeGenTrieNode(CodeGenTrieNode.NodeType type)`